USERADD(8)

NAME
useradd - Membuat user baru atau memperbarui informasi tentang user baru

SYNOPSIS

useradd
    [-c comment] [-d home_dir]
    [-e expire_date] [-f inactive_time]
    [-g initial_group] [-G group[,...]]
    [-m [-k skeleton_dir] | -M] [-s shell]
    [-u uid [ -o]] [-n] [-r] login

useradd
    -D [-g default_group] [-b default_home]
    [-f default_inactive] [-e default_expire_date]
    [-s default_shell]

PENJELASAN

  Membuat User Baru
Jika digunakan tanpa option -D, perintah useradd menciptakan sebuah user account baru dengan menggunakan nilai yang terdapat pada baris perintah dan nilai default dari system. User account yang baru tersebut akan dimasukkan ke system files seperlunya, home directory akan dibuatkan, dan initial files di-copy-kan, tergantung option yang terdapat pada baris perintah. Versi yang terdapat pada Red Hat Linux akan membuat sebuah group untuk setiap user yang didaftarkan pada system, jika -b tidak diberikan. Option yang dapat digunakan pada perintah useradd adalah

-c comment
    Komentar pada file password milik user baru.

-d home_dir
    User baru akan diciptakan dengan home_dir sebagai lokasi directory login-nya. Default-nya adalah menambahkan nama login pada default_home dan menggunakannya sebagai nama directory login.

-e expire_date
    Tanggal ketika user account dimatikan. Tanggal ditulis dalam format MM/DD/YY.

-f inactive_days
    Jumlah hari setelah sebuah password kadaluarsa hingga account tersebut dimatikan secara permanen. Nilai 0 mematikan account segera setelah password kadaluarsa, dan nilai -1 mematikan fungsi ini. Nilai default-nya adalah -1.

-g initial_group
    Nama group atau angka initial login group. Nama group harus sudah ada. Seorang anggota group harus merujuk pada group yang sudah ada. Nilai group default-nya adalah 1.

-G group,[...]
    Daftar group tambahan yang juga merupakan group-nya user. Setiap group dipisahkan oleh koma, tanpa diikuti spasi. Group juga mengikuti aturan yang diberikan dengan option -g. Default-nya hanyalah untuk user yang terdaftar pada group awal.

-m  Home directory milik user akan dibuatkan jika belum ada. File yang terdapat pada skeleton_dir atau /etc/skel akan dibuatkan pada home directory milik user. Option -k hanya valid jika bertemu option -m. Dafault-nya adalah tidak membuat directory dan tidak meng-copy segala file.

-M  Home directory milik user tidak akan dibuatkan, bahkan jika setting system pada /etc/login.defs ditujukan untuk membuat home directory.

-n  Sebuah group yang namanya sama dengan user akan ditambahkan ke dalam system secara default. Option ini akan mematikan kebiasaan tersebut yang terdapat pada Red Hat Linux.

-r  Flag ini digunakan untuk membuat sebuah system account. Yaitu, user dengan UID yang lebih kecil dari UID_MIN yang tercantum pada /etc/login.defs. Harap diingat bahwa useradd tidak akan membuat home directory untuk user semacam ini, menghiraukan setting default yang terdapat di /etc/login.defs. Anda harus menyebutkan option -m jika ingin membuat home directory untuk sebuah system account yang akan dibuat. Ini adalah option yang ditambahkan oleh Red Hat.

-s shell
    Nama login shell milik user. Default-nya adalah membiarkan field ini kosong, yang menyebabkan system untuk memilih login shell yang default.

-u uid
    Nilai user ID secara numerik. Nilai ini harus unique, kecuali jika option -o digunakan. Nilai tersebut tidak boleh negatif. Default-nya adalah menggunakan nilai ID yang lebih besar dari 999 dan lebih besar dari semua user lain. Nilai di antara 0 dan 999 biasanya disiapkan untuk system aacount.

  Mengubah nilai-nilai default.
Ketika digunakan dengan option -D, useradd akan menampilkan nilai default, atau memperbarui nilai default baru yang terdapat pada baris perintah. Option yang dapat digunakan adalah

-b default_home
    Awalan path untuk home directory milik user baru. Nama user akan ditambahkan setelah akhir default_home ketika membuat nama directory baru jika option -d tidak disebutkan dalam membuat account baru.

-e default_expire_date
    Tanggal ketika user account dimatikan.

-f default_inactive
    Jumlah hari setelah password kadaluarsa sebelum account dimatikan.

-g default_group
    Nama group atau ID sebagai group awal user baru. Nama group yang disebut harus sudah ada dan nomor group ID harus mempunyai entry.

-s default_shell
    Nama untuk login shell milik user baru. Nama program yang disebutkan akan digunakan untuk semua user account baru mendatang.

Jika tidak ada option yang disebutkan, useradd menampilkan nilai default yang ada saat ini.

NOTES
The system administrator is responsible for placing the default user files in the /etc/skel directory.
Versi useradd ini dimodifikasi oleh Red Hat agar cocok dengan ketentuan mengenai user/group.

CAVEATS
Anda tidak dapat menambahkan user pada grou NIS. Ini harus dilakukan pada server NIS.

FILES
/etc/passwd - informasi tentang user account
/etc/shadow - informasi user account yang terlindung
/etc/group - informasi tentang group
/etc/default/useradd - informasi tentang nilai default
/etc/login.defs - system-wide settings
/etc/skel - directory yang mengandung default files

LIHAT JUGA
chfn(1), chsh(1), groupadd(8), groupdel(8), groupmod(8), passwd(1), userdel(8), usermod(8)

AUTHOR
Julianne Frances Haugh (jfh@tab.com)